Announcement

Collapse

Welcome to the New Seqanswers!

Welcome to the new Seqanswers! We'd love your feedback, please post any you have to this topic: New Seqanswers Feedback.
See more
See less

CummeRbund installation failing

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • CummeRbund installation failing

    Hello. I am quite new to this game, but I have analyzed my RNA-Seq data using TopHat/Bowtie and cufflinks/cuffdiff. I would now like to visualize the results from cuffdiff using cummeRbund. I have the latest installation of R (2.15.2), but when I try to install cummeRbund by following the instructions on the Bioconductor website, I keep getting an error. I'm not sure what the problem is, unfortunately See copy/pasted text below.

    Can anyone help? Thank you!






    > source("http://bioconductor.org/biocLite.R")
    > biocLite("cummeRbund")
    BioC_mirror: http://bioconductor.org
    Using Bioconductor version 2.11 (BiocInstaller 1.8.3), R version 2.15.
    Installing package(s) 'cummeRbund'
    also installing the dependencies ‘XML’, ‘RCurl’, ‘biomaRt’, ‘GenomicFeatures’, ‘biovizBase’, ‘rtracklayer’, ‘Gviz’

    trying URL 'http://mirrors.dotsrc.org/cran/src/contrib/XML_3.95-0.1.tar.gz'
    Content type 'application/x-gzip' length 1724282 bytes (1.6 Mb)
    opened URL
    ==================================================
    downloaded 1.6 Mb

    trying URL 'http://mirrors.dotsrc.org/cran/src/contrib/RCurl_1.95-3.tar.gz'
    Content type 'application/x-gzip' length 868491 bytes (848 Kb)
    opened URL
    ==================================================
    downloaded 848 Kb

    trying URL 'http://bioconductor.org/packages/2.11/bioc/src/contrib/biomaRt_2.14.0.tar.gz'
    Content type 'application/x-gzip' length 276758 bytes (270 Kb)
    opened URL
    ==================================================
    downloaded 270 Kb

    trying URL 'http://bioconductor.org/packages/2.11/bioc/src/contrib/GenomicFeatures_1.10.1.tar.gz'
    Content type 'application/x-gzip' length 742663 bytes (725 Kb)
    opened URL
    ==================================================
    downloaded 725 Kb

    trying URL 'http://bioconductor.org/packages/2.11/bioc/src/contrib/biovizBase_1.6.2.tar.gz'
    Content type 'application/x-gzip' length 1026756 bytes (1002 Kb)
    opened URL
    ==================================================
    downloaded 1002 Kb

    trying URL 'http://bioconductor.org/packages/2.11/bioc/src/contrib/rtracklayer_1.18.2.tar.gz'
    Content type 'application/x-gzip' length 1308890 bytes (1.2 Mb)
    opened URL
    ==================================================
    downloaded 1.2 Mb

    trying URL 'http://bioconductor.org/packages/2.11/bioc/src/contrib/Gviz_1.2.1.tar.gz'
    Content type 'application/x-gzip' length 1392463 bytes (1.3 Mb)
    opened URL
    ==================================================
    downloaded 1.3 Mb

    trying URL 'http://bioconductor.org/packages/2.11/bioc/src/contrib/cummeRbund_2.0.0.tar.gz'
    Content type 'application/x-gzip' length 2327551 bytes (2.2 Mb)
    opened URL
    ==================================================
    downloaded 2.2 Mb

    * installing *source* package ‘XML’ ...
    ** package ‘XML’ successfully unpacked and MD5 sums checked
    checking for gcc... gcc
    checking for C compiler default output file name... a.out
    checking whether the C compiler works... yes
    checking whether we are cross compiling... no
    checking for suffix of executables...
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for gcc option to accept ISO C89... none needed
    checking how to run the C preprocessor... gcc -E
    No ability to remove finalizers on externalptr objects in this verison of R
    checking for sed... /bin/sed
    checking for pkg-config... /usr/bin/pkg-config
    checking for xml2-config... no
    Cannot find xml2-config
    ERROR: configuration failed for package ‘XML’
    * removing ‘/usr/local/lib/R/site-library/XML’
    * installing *source* package ‘RCurl’ ...
    ** package ‘RCurl’ successfully unpacked and MD5 sums checked
    checking for curl-config... no
    Cannot find curl-config
    ERROR: configuration failed for package ‘RCurl’
    * removing ‘/usr/local/lib/R/site-library/RCurl’
    ERROR: dependencies ‘XML’, ‘RCurl’ are not available for package ‘biomaRt’
    * removing ‘/usr/local/lib/R/site-library/biomaRt’
    ERROR: dependencies ‘XML’, ‘RCurl’ are not available for package ‘rtracklayer’
    * removing ‘/usr/local/lib/R/site-library/rtracklayer’
    ERROR: dependencies ‘rtracklayer’, ‘biomaRt’, ‘RCurl’ are not available for package ‘GenomicFeatures’
    * removing ‘/usr/local/lib/R/site-library/GenomicFeatures’
    ERROR: dependency ‘GenomicFeatures’ is not available for package ‘biovizBase’
    * removing ‘/usr/local/lib/R/site-library/biovizBase’
    ERROR: dependencies ‘rtracklayer’, ‘biomaRt’, ‘GenomicFeatures’, ‘biovizBase’ are not available for package ‘Gviz’
    * removing ‘/usr/local/lib/R/site-library/Gviz’
    ERROR: dependencies ‘rtracklayer’, ‘Gviz’ are not available for package ‘cummeRbund’
    * removing ‘/usr/local/lib/R/site-library/cummeRbund’

    The downloaded source packages are in
    ‘/tmp/Rtmpa83rLN/downloaded_packages’
    Warning messages:
    1: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘XML’ had non-zero exit status
    2: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘RCurl’ had non-zero exit status
    3: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘biomaRt’ had non-zero exit status
    4: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘rtracklayer’ had non-zero exit status
    5: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘GenomicFeatures’ had non-zero exit status
    6: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘biovizBase’ had non-zero exit status
    7: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘Gviz’ had non-zero exit status
    8: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
    installation of package ‘cummeRbund’ had non-zero exit status
    > library(cummeRbund)
    Error in library(cummeRbund) : there is no package called ‘cummeRbund’

  • #2
    See the system requirements for XML package (http://cran.r-project.org/web/packages/XML/index.html). Your system is likely missing the "libxml2" library.

    Same is probably true for "libcurl" library. Needed for Rcurl package: http://cran.r-project.org/web/packages/RCurl/index.html

    What kind of unix system is this?
    Last edited by GenoMax; 02-20-2013, 08:59 AM.

    Comment


    • #3
      Thank you for your quick response! I'm using an Ubuntu 12.04 LTS system.

      I don't know how to install these, unfortunately. I tried install.packages("...",dependencies=TRUE) where "..." was replaced with "XML", "libxml2", "libcurl" and "Rcurl", but I kept getting the same kind of "non-zero exit status" error message for some of them, and "package ... is not available (for R version 2.15.2) for others"...
      Last edited by cnyh; 02-20-2013, 09:32 AM.

      Comment


      • #4
        Your server is missing the libraries on system side (unrelated to R install).

        Do you have administrator rights on this machine? If not you may need to ask your sysadmins to install the libraries.

        If you do have access to administrator rights then you should able to install the libraries using the "apt-get" method below.

        Code:
        sudo apt-get install libxml2 libcurl
        Once these libraries are installed go back into R and try your original cummerBund install.

        Comment


        • #5
          I do have admin rights, yes. I copied your command, and it seems libxml2 got installed, but libcurl was not found. Do I need to download it first?

          sudo apt-get install libxml2 libcurl
          [sudo] password for cnyh:
          Reading package lists... Done
          Building dependency tree
          Reading state information... Done
          E: Unable to locate package libcurl

          Comment


          • #6
            Update: to install libcurl I tried using the tips on this page: http://ubuntuforums.org/showthread.php?t=1774516

            I then tried to install cummeRbund, but I seem to be getting the same errors as before

            Comment


            • #7
              Can you post the errors (or are they *exactly* the same as before)?

              Comment


              • #8
                After the download, this is what comes up:

                * installing *source* package ‘XML’ ...
                ** package ‘XML’ successfully unpacked and MD5 sums checked
                checking for gcc... gcc
                checking for C compiler default output file name... a.out
                checking whether the C compiler works... yes
                checking whether we are cross compiling... no
                checking for suffix of executables...
                checking for suffix of object files... o
                checking whether we are using the GNU C compiler... yes
                checking whether gcc accepts -g... yes
                checking for gcc option to accept ISO C89... none needed
                checking how to run the C preprocessor... gcc -E
                No ability to remove finalizers on externalptr objects in this verison of R
                checking for sed... /bin/sed
                checking for pkg-config... /usr/bin/pkg-config
                checking for xml2-config... no
                Cannot find xml2-config
                ERROR: configuration failed for package ‘XML’
                * removing ‘/usr/local/lib/R/site-library/XML’
                ERROR: dependency ‘XML’ is not available for package ‘biomaRt’
                * removing ‘/usr/local/lib/R/site-library/biomaRt’
                ERROR: dependency ‘XML’ is not available for package ‘rtracklayer’
                * removing ‘/usr/local/lib/R/site-library/rtracklayer’
                ERROR: dependencies ‘rtracklayer’, ‘biomaRt’ are not available for package ‘GenomicFeatures’
                * removing ‘/usr/local/lib/R/site-library/GenomicFeatures’
                ERROR: dependency ‘GenomicFeatures’ is not available for package ‘biovizBase’
                * removing ‘/usr/local/lib/R/site-library/biovizBase’
                ERROR: dependencies ‘rtracklayer’, ‘biomaRt’, ‘GenomicFeatures’, ‘biovizBase’ are not available fo
                r package ‘Gviz’
                * removing ‘/usr/local/lib/R/site-library/Gviz’
                ERROR: dependencies ‘rtracklayer’, ‘Gviz’ are not available for package ‘cummeRbund’
                * removing ‘/usr/local/lib/R/site-library/cummeRbund’

                The downloaded source packages are in
                ‘/tmp/RtmpFKAUMp/downloaded_packages’
                Warning messages:
                1: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                installation of package ‘XML’ had non-zero exit status
                2: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                installation of package ‘biomaRt’ had non-zero exit status
                3: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                installation of package ‘rtracklayer’ had non-zero exit status
                4: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                installation of package ‘GenomicFeatures’ had non-zero exit status
                5: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                installation of package ‘biovizBase’ had non-zero exit status
                6: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                installation of package ‘Gviz’ had non-zero exit status
                7: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                installation of package ‘cummeRbund’ had non-zero exit status

                From first glance it looks much the same, but I'm not sure.

                Comment


                • #9
                  It appears that you will also need to install the development version of the libxml.

                  Code:
                  sudo apt-get install libxml2-dev
                  Then check
                  Code:
                  which xml2-config
                  in a terminal window to make sure it is in your path.

                  Comment


                  • #10
                    Ok, done. I get this output:

                    $ which xml2-config
                    /usr/bin/xml2-config

                    Is it relevant information that I am using screen, and switching between different windows in the screen?

                    Comment


                    • #11
                      That is good. Try the R install now and post any new errors (hopefully none now).

                      Comment


                      • #12
                        It worked! Tested it with "cuff <- readCufflinks()", and it went through without any error messages!

                        You're brilliant, thank you ever so much!

                        Comment


                        • #13
                          Excellent.

                          Comment


                          • #14
                            hey.. you solution helpd me too.. but i am stuck in this step after R installtion for CummeRbund.. the error is :
                            nstalling package(s) into ‘/home/osdd/R/x86_64-pc-linux-gnu-library/2.13’
                            (as ‘lib’ is unspecified)
                            Warning message:
                            In getDependencies(pkgs, dependencies, available, lib) :
                            package ‘cummeRbund’ is not available (for R version 2.13.1)


                            I followed above solution but still geting the problem

                            Comment


                            • #15
                              My solution to this problem was to upgrade R to version 2.15.2. Also, are you installing using the following commands?

                              source("http://bioconductor.org/biocLite.R")
                              biocLite("cummeRbund")

                              Comment

                              Working...
                              X